org.hibernate.search.elasticsearch.dialect.impl.es2

## Class Elasticsearch2Dialect

- java.lang.Object
- - org.hibernate.search.elasticsearch.dialect.impl.es2.Elasticsearch2Dialect

- All Implemented Interfaces:
    ElasticsearchDialect

      public class Elasticsearch2Dialect
      extends Object
      implements ElasticsearchDialect

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch2Dialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerStrategyFactory` | `createAnalyzerStrategyFactory(ServiceManager serviceManager)`
    `com.google.gson.GsonBuilder` | `createGsonBuilderBase()`
    `ElasticsearchQueryFactory` | `createQueryFactory()`
    `ElasticsearchSchemaTranslator` | `createSchemaTranslator()`
    `ElasticsearchSchemaValidator` | `createSchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)`
    `ElasticsearchWorkFactory` | `createWorkFactory(GsonProvider gsonProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch2Dialect

          public Elasticsearch2Dialect()

  - ### Method Detail

    - #### createGsonBuilderBase

          public com.google.gson.GsonBuilder createGsonBuilderBase()

      Specified by:
        `createGsonBuilderBase` in interface `ElasticsearchDialect`

    - #### createWorkFactory

          public ElasticsearchWorkFactory createWorkFactory(GsonProvider gsonProvider)

      Specified by:
        `createWorkFactory` in interface `ElasticsearchDialect`

    - #### createSchemaTranslator

          public ElasticsearchSchemaTranslator createSchemaTranslator()

      Specified by:
        `createSchemaTranslator` in interface `ElasticsearchDialect`

    - #### createSchemaValidator

          public ElasticsearchSchemaValidator createSchemaValidator(ElasticsearchSchemaAccessor schemaAccessor)

      Specified by:
        `createSchemaValidator` in interface `ElasticsearchDialect`

    - #### createAnalyzerStrategyFactory

          public ElasticsearchAnalyzerStrategyFactory createAnalyzerStrategyFactory(ServiceManager serviceManager)

      Specified by:
        `createAnalyzerStrategyFactory` in interface `ElasticsearchDialect`

    - #### createQueryFactory

          public ElasticsearchQueryFactory createQueryFactory()

      Specified by:
        `createQueryFactory` in interface `ElasticsearchDialect`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved